﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Source> data = new List<Source>();
            data.Add(new Source() { Key = "1", Description = "description1", Data = "the data for the first tile" });
            data.Add(new Source() { Key = "2", Description = "description2", Data = "the data for the second tile" });
            data.Add(new Source() { Key = "3", Description = "description3", Data = "the data for the third tile" });

            this.DataContext = data;
        }
    }

    public class Source
    {
        public string Key { get; set; }
        public string Description { get; set; }
        public object Data { get; set; }
    }
}
